/* 
 * Motif Tools Library, Version 2.0
 * $Id: Dialog.h,v 2.10 1994/07/04 03:03:50 david Exp $
 * 
 * Written by David Flanagan.
 * Copyright (c) 1992, 1993, 1994 by Dovetail Systems.
 * All Rights Reserved.  See the file COPYRIGHT for details.
 * This is not free software.  See the file SHAREWARE for details.
 * There is no warranty for this software.  See NO_WARRANTY for details.
 */

#ifndef _XmtDialog_h
#define _XmtDialog_h

/* name and class of special subpart searched for dialog default values */
#define XmtNdefaults		"xmtDefaults"
#define XmtCDefaults		"XmtDefaults"

_XFUNCPROTOBEGIN
#if NeedFunctionPrototypes
extern void XmtDialogDo(Widget, XtPointer);
extern Boolean XmtDialogDoSync(Widget, XtPointer);

extern void XmtDialogGetDialogValues(Widget, XtPointer);
extern void XmtDialogSetDialogValues(Widget, XtPointer);
extern void XmtDialogGetDefaultValues(Widget, XtPointer, ArgList, Cardinal);

extern XtPointer XmtDialogGetDataAddress(Widget);
extern void XmtDialogSetReturnValue(Widget, XmtWideBoolean);

extern void XmtDialogOkayCallback(Widget, XtPointer, XtPointer);
extern void XmtDialogCancelCallback(Widget, XtPointer, XtPointer);
extern void XmtDialogApplyCallback(Widget, XtPointer, XtPointer);
extern void XmtDialogResetCallback(Widget, XtPointer, XtPointer);
extern void XmtDialogDoneCallback(Widget, XtPointer, XtPointer);

extern void XmtDialogBindResourceList(Widget, XtResourceList, Cardinal);
#else
extern void XmtDialogDo();
extern Boolean XmtDialogDoSync();

extern void XmtDialogGetDialogValues();
extern void XmtDialogSetDialogValues();
extern void XmtDialogGetDefaultValues();

extern XtPointer XmtDialogGetDataAddress();
extern void XmtDialogSetReturnValue();

extern void XmtDialogOkayCallback();
extern void XmtDialogCancelCallback();
extern void XmtDialogApplyCallback();
extern void XmtDialogResetCallback();
extern void XmtDialogDoneCallback();

extern void XmtDialogBindResourceList();
#endif

_XFUNCPROTOEND

#endif    
