/* 
 * Motif Tools Library, Version 2.0
 * $Id: DialogsP.h,v 2.11 1994/07/04 03:03:50 david Exp $
 * 
 * Written by David Flanagan.
 * Copyright (c) 1992, 1993, 1994 by Dovetail Systems.
 * All Rights Reserved.  See the file COPYRIGHT for details.
 * This is not free software.  See the file SHAREWARE for details.
 * There is no warranty for this software.  See NO_WARRANTY for details.
 */

#ifndef _XmtDialogsP_h
#define _XmtDialogsP_h

#include <Xmt/Dialogs.h>

typedef struct {
    Widget *dialogs;
    short num, max, in_use;
} XmtDialogCache;


_XFUNCPROTOBEGIN
#if NeedFunctionPrototypes
extern void _XmtOkCallback(Widget, XtPointer, XtPointer);
extern void _XmtYesCallback(Widget, XtPointer, XtPointer);
extern void _XmtNoCallback(Widget, XtPointer, XtPointer);
extern void _XmtCancelCallback(Widget, XtPointer, XtPointer);
extern void _XmtHelpCallback(Widget, XtPointer, XtPointer);
extern void _XmtDialogPopdownCallback(Widget, XtPointer, XtPointer);
extern Boolean * _XmtDisplayMessage(Widget, StringConst, StringConst,
				    StringConst, va_list *,
				    StringConst, StringConst, Pixmap,
				    int, int);
#else
extern void _XmtOkCallback();
extern void _XmtYesCallback();
extern void _XmtNoCallback();
extern void _XmtCancelCallback();
extern void _XmtHelpCallback();
extern void _XmtDialogPopdownCallback();
extern Boolean *_XmtDisplayMessage();
#endif
_XFUNCPROTOEND
    
#endif  /* _XmtDialogsP_h */
