/* 
 * Motif Tools Library, Version 2.0
 * $Id: Quarks.c,v 2.9 1994/07/04 03:03:50 david Exp $
 * 
 * Written by David Flanagan.
 * Copyright (c) 1992, 1993, 1994 by Dovetail Systems.
 * All Rights Reserved.  See the file COPYRIGHT for details.
 * This is not free software.  See the file SHAREWARE for details.
 * There is no warranty for this software.  See NO_WARRANTY for details.
 */

#include <Xmt/Xmt.h>
#include <Xmt/QuarksP.h>

externaldef(xmtqbool) XrmQuark XmtQBool;
externaldef(xmtqboolean) XrmQuark XmtQBoolean;
externaldef(xmtqcardinal) XrmQuark XmtQCardinal;
externaldef(xmtqdimension) XrmQuark XmtQDimension;
externaldef(xmtqenum) XrmQuark XmtQEnum;
externaldef(xmtqint) XrmQuark XmtQInt;
externaldef(xmtqposition) XrmQuark XmtQPosition;
externaldef(xmtqshort) XrmQuark XmtQShort;
externaldef(xmtqunsignedchar) XrmQuark XmtQUnsignedChar;
externaldef(xmtqdouble) XrmQuark XmtQDouble;
externaldef(xmtqfloat) XrmQuark XmtQFloat;
externaldef(xmtqstring) XrmQuark XmtQString;
externaldef(xmtqbuffer) XrmQuark XmtQBuffer;

#if NeedFunctionPrototypes
void _XmtInitQuarks(void)
#else
void _XmtInitQuarks()
#endif
{
    static inited = False;

    if (inited == False) {
	inited = True;

	XmtQBool = XrmPermStringToQuark(XtRBool);
	XmtQBoolean = XrmPermStringToQuark(XtRBoolean);
	XmtQCardinal = XrmPermStringToQuark(XtRCardinal);
	XmtQDimension = XrmPermStringToQuark(XtRDimension);
	XmtQEnum = XrmPermStringToQuark(XtREnum);
	XmtQInt = XrmPermStringToQuark(XtRInt);
	XmtQPosition = XrmPermStringToQuark(XtRPosition);
	XmtQShort = XrmPermStringToQuark(XtRShort);
	XmtQUnsignedChar = XrmPermStringToQuark(XtRUnsignedChar);
	XmtQDouble = XrmPermStringToQuark(XmtRDouble);
	XmtQFloat = XrmPermStringToQuark(XtRFloat);
	XmtQString = XrmPermStringToQuark(XtRString);
	XmtQBuffer = XrmPermStringToQuark(XmtRBuffer);
    }
}
