/* 
 * Motif Tools Library, Version 2.0
 * $Id: UnixProcs.c,v 2.9 1994/07/04 03:03:50 david Exp $
 * 
 * Written by David Flanagan.
 * Copyright (c) 1992, 1993, 1994 by Dovetail Systems.
 * All Rights Reserved.  See the file COPYRIGHT for details.
 * This is not free software.  See the file SHAREWARE for details.
 * There is no warranty for this software.  See NO_WARRANTY for details.
 */

#include <stdio.h>
#include <Xmt/Xmt.h>
#include <Xmt/Procedures.h>

#ifndef X_NOT_STDC_ENV
#include <stdlib.h>
#endif

#ifndef X_NOT_POSIX
#include <unistd.h>
#endif

/* these aren't declared in SunOS 4.1.1 */
extern int puts();
extern int system();


static XmtProcedureInfo unix_procedures[] = {
{"puts", (XmtProcedure)puts, {XtRString}},
{"system", (XmtProcedure)system, {XtRString}},
{"exit", (XmtProcedure)exit, {XtRInt}},

};
#if NeedFunctionPrototypes
void XmtRegisterUnixProcedures(void)
#else
void XmtRegisterUnixProcedures()
#endif
{
    XmtRegisterProcedures(unix_procedures, XtNumber(unix_procedures));
}
