#include <Xmt/Xmt.h>
#include <Xmt/WidgetType.h>

void RegisterDerivedConstructor(String parent_name, String name,
				XmtWidgetConstructor constructor)
{
    XmtWidgetType *parent_type;
    XmtWidgetType *type = XtNew(XmtWidgetType); /* never free'd */

    parent_type = XmtLookupWidgetType(parent_name);
    if (!parent_type) return;

    type->name = name;
    type->class = NULL;
    type->constructor = constructor;
    type->set_value_proc = parent_type->set_value_proc;
    type->get_value_proc = parent_type->get_value_proc;
    type->popup = parent_type->popup;

    XmtRegisterWidgetTypes(type, 1);
}
