#include <stdio.h>
#include <varargs.h>

#include <X11/Intrinsic.h>
#include <Xm/PushB.h>
#include <Xm/Form.h>

main (argc, argv)
int argc;
char **argv;
{
    Widget shell, form, button1, button2, button3;

    shell = XtInitialize("demo", "Demo", NULL, 0, &argc, argv);
    XtVaSetValues(shell, XmNwidth, 300, XmNheight, 150, (char*) NULL);

    form = XmCreateForm(shell, "form", (ArgList) NULL, 0);

    XtManageChild(form);

    button1 = XmCreatePushButton(form, "button1", (ArgList) NULL, 0);
    button2 = XmCreatePushButton(form, "button two", (ArgList) NULL, 0);
    button3 = XmCreatePushButton(form, "button number 3", (ArgList) NULL, 0);

    XtManageChild(button1);
    XtManageChild(button2);
    XtManageChild(button3);

    xm_attach(button1, "ffnn", 10, 20);
    xm_attach(button2, "wpnn", button1, 10, 50);
    xm_attach(button3, "nnWf", button2, 0, 20);

    XtRealizeWidget(shell);
    XtMainLoop();
}
