/* 
 * Motif Tools Library, Version 2.0
 * $Id: Template.h,v 2.9 1994/07/04 03:03:50 david Exp $
 * 
 * Written by David Flanagan.
 * Copyright (c) 1992, 1993, 1994 by Dovetail Systems.
 * All Rights Reserved.  See the file COPYRIGHT for details.
 * This is not free software.  See the file SHAREWARE for details.
 * There is no warranty for this software.  See NO_WARRANTY for details.
 */

#ifndef _XmtTemplate_h
#define _XmtTemplate_h

/*
 * The names of special branches of the db where
 * tempates and styles are stored
 */
#define XmtNxmtTemplates	"_Templates_"
#define XmtNxmtStyles		"_Styles_"

_XFUNCPROTOBEGIN
#if NeedFunctionPrototypes
extern void XmtTemplateInstantiate(Widget, StringConst, StringConst,
				   String *, Cardinal);
extern String XmtTemplateSubstituteArgs(StringConst, String *,
					Cardinal, Cardinal *);
extern void XmtRegisterTemplate(Widget, StringConst, StringConst);
extern void XmtRegisterStyle(Widget, StringConst, StringConst);
extern String XmtLookupTemplate(Widget, StringConst);
extern String XmtLookupStyle(Widget, StringConst);
#else
extern void XmtTemplateInstantiate();
extern String XmtTemplateSubstituteArgs();
extern void XmtRegisterTemplate();
extern void XmtRegisterStyle();
extern String XmtLookupTemplate();
extern String XmtLookupStyle();
#endif
_XFUNCPROTOEND    

#endif
