cflags = /define=("FUNCPROTO=15","DECWINDOWS","DECWINDOWS_CALLBACK_HACK")\
/nodebug/opt/nolist 
linkflags = /trace/nomap/exe=$@
slinkflags = /trace/nomap/share=$@

.suffixes
.suffixes   .ANL .OLB .EXE .MLB .HLB .TLB .FLB .OBJ .BLI .B32 .C  -
            .COB .FOR .BAS .B16 .PLI .PEN .PAS .MAC .MAR .CLD .MSG .COR -
            .DBL .RPG .MEM .RNO .HLP .RNH .L32 .REQ .R32 .L16 .R16 -
            .TXT .H .FRM .MMS .DDL .DAT .OPT .TPU$SECTION .TPU -
            .COM .DCL .ENV .LSE .SLC .FI .DI .SQLMOD .SC .UID .UIL

.obj.olb
        @ if f$search(f$parse("$@")).nes.f$search("$@") then copy/log $@ $@
        @ if f$search("$@").eqs."" then $(libr)/create/log $@
        @ $(libr) $(librflags) $@ $<

.first
	define xmtshr 'f$env("default")'xmtshr.exe
	define xmt 'f$env("default")'
	define source 'f$env("default")'

#
# Define contents of Xmt library and relationship to object files.
#
olb_elements =  \
xmt_vec=xmt_vec.obj, \
AppRes=AppRes.obj, \
AskForBoolean=AskForBoolean.obj, \
AskForFile=AskForFile.obj, \
AskForItem=AskForItem.obj, \
AskForString=AskForString.obj, \
AssertClass=AssertClass.obj, \
BSearch=BSearch.obj, \
BitmapCvt=BitmapCvt.obj, \
Block=Block.obj, \
CallbackCvt=CallbackCvt.obj, \
CheckFormat=CheckFormat.obj, \
Chooser=Chooser.obj, \
Cli=Cli.obj, \
Color=Color.obj, \
ColorTableCvt=ColorTableCvt.obj, \
ContextHelp=ContextHelp.obj, \
Create=Create.obj, \
Cursor=Cursor.obj, \
Dialog=Dialog.obj, \
DialogPos=DialogPos.obj, \
Dialogs=Dialogs.obj, \
Discard=Discard.obj, \
EnumCvt=EnumCvt.obj, \
FindFile=FindFile.obj, \
GetPixmap=GetPixmap.obj, \
Hash=Hash.obj, \
HelpBox=HelpBox.obj, \
HelpBrowser=HelpBrowser.obj, \
HelpNode=HelpNode.obj, \
Include=Include.obj, \
InitFocus=InitFocus.obj, \
InputField=InputField.obj, \
Layout=Layout.obj, \
LayoutBox=LayoutBox.obj, \
LayoutCreate=LayoutCreate.obj, \
LayoutGadget=LayoutGadget.obj, \
LayoutParse=LayoutParse.obj, \
LayoutPixmap=LayoutPixmap.obj, \
LayoutSep=LayoutSep.obj, \
LayoutSpace=LayoutSpace.obj, \
LayoutString=LayoutString.obj, \
Lexer=Lexer.obj, \
Menu=Menu.obj, \
MenuCvt=MenuCvt.obj, \
MotifWidgets=MotifWidgets.obj, \
MsgDialogs=MsgDialogs.obj, \
MsgLine=MsgLine.obj, \
NameToWidget=NameToWidget.obj, \
PixelCvt=PixelCvt.obj, \
Pixmap=Pixmap.obj, \
PixmapCvt=PixmapCvt.obj, \
PixmapListCvt=PixmapListCvt.obj, \
Procedures=Procedures.obj, \
Quarks=Quarks.obj, \
Screen=Screen.obj, \
SetValue=SetValue.obj, \
ShellUtil=ShellUtil.obj, \
StringListCvt=StringListCvt.obj, \
Symbols=Symbols.obj, \
Template=Template.obj, \
UnixProcs=UnixProcs.obj, \
Wait=Wait.obj, \
Warning=Warning.obj, \
WidgetCvt=WidgetCvt.obj, \
WidgetType=WidgetType.obj, \
Working=Working.obj, \
WorkingBox=WorkingBox.obj, \
Xbm=Xbm.obj, \
XmScale=XmScale.obj, \
XmStringCvt=XmStringCvt.obj, \
XmText=XmText.obj, \
XmTextField=XmTextField.obj, \
XmToggleB=XmToggleB.obj, \
XmtProcs=XmtProcs.obj, \
XmtWidgets=XmtWidgets.obj, \
Xpm=Xpm.obj, \
XpmParse=XpmParse.obj, \
XtProcs=XtProcs.obj, \
ConvertData=ConvertData.obj, \
ChooserS=ChooserS.obj,\
CliS=CliS.obj,\
HelpBoxS=HelpBoxS.obj,\
HelpBrowserS=HelpBrowserS.obj,\
InputFieldS=InputFieldS.obj,\
LayoutS=LayoutS.obj,\
MenuS=MenuS.obj,\
MsgLineS=MsgLineS.obj,\
WorkingBoxS=WorkingBoxS.obj,\
dechack=dechack.obj, \
vms=vms.obj

all : xmtshr.exe mockup.exe
	! Xmt is up to date

xmtshr.exe : xmt.olb descrip.mms xmt_opt.opt
	$(link) $(slinkflags) xmt_opt/opt

xmt.olb : xmt.olb($(olb_elements))
	@ continue

mockup.exe : mockup.obj descrip.mms mockup_opt.opt xmtshr.exe
	define/job xmtshr 'f$search("xmtshr.exe")'
	$(link) $(linkflags) mockup.obj,mockup_opt/opt

#
# Define dependencies
#

mockup.obj : mockup.c xmt:xmt.h xmt:create.h xmt:converters.h \
	xmt:procedures.h xmt:layout.h xmt:widgettype.h xmt:include.h \
	xmt:util.h xmt:layoutg.h

AppRes.obj : xmt:Xmt.h xmt:Util.h xmt:AppResP.h xmt:AppRes.h
AppRes.obj : xmt:Xmt.h xmt:Util.h xmt:AppResP.h xmt:AppRes.h
AppRes.obj : xmt:Hash.h xmt:Color.h xmt:DialogsP.h
AppRes.obj : xmt:Dialogs.h xmt:Pixmap.h
AppRes.obj : xmt:Xpm.h xmt:Converters.h 
AskForBoolean.obj : xmt:Xmt.h 
AskForBoolean.obj : xmt:Util.h 
AskForBoolean.obj : xmt:ScreenP.h xmt:DialogsP.h xmt:Dialogs.h 
AskForBoolean.obj : xmt:Converters.h xmt:Layout.h 
AskForBoolean.obj : xmt:LayoutG.h 
AskForFile.obj : xmt:Xmt.h 
AskForFile.obj : xmt:Util.h xmt:ScreenP.h xmt:DialogsP.h 
AskForFile.obj : xmt:Dialogs.h 
AskForItem.obj : xmt:Xmt.h 
AskForItem.obj : xmt:Util.h xmt:ScreenP.h xmt:DialogsP.h 
AskForItem.obj : xmt:Dialogs.h xmt:Converters.h 
AskForString.obj : xmt:Xmt.h 
AskForString.obj : xmt:Util.h 
AskForString.obj : xmt:ScreenP.h xmt:DialogsP.h xmt:Dialogs.h 
AssertClass.obj : xmt:Xmt.h 
AssertClass.obj : xmt:Util.h 
BSearch.obj : xmt:Xmt.h 
BSearch.obj : xmt:Util.h 
BitmapCvt.obj : xmt:Xmt.h 
BitmapCvt.obj : xmt:Util.h xmt:Pixmap.h xmt:Xpm.h 
BitmapCvt.obj : xmt:Color.h xmt:ConvertersP.h xmt:Converters.h 
Block.obj : xmt:Xmt.h 
Block.obj : xmt:Util.h 
CallbackCvt.obj : xmt:Xmt.h 
CallbackCvt.obj : xmt:Util.h xmt:ProceduresP.h xmt:Procedures.h 
CallbackCvt.obj : xmt:Symbols.h xmt:Hash.h xmt:ConvertersP.h 
CallbackCvt.obj : xmt:Converters.h xmt:Lexer.h 
CallbackCvt.obj : xmt:QuarksP.h 
Chooser.obj : xmt:XmtP.h xmt:Xmt.h 
Chooser.obj : xmt:Util.h 
Chooser.obj : xmt:ChooserP.h 
Chooser.obj : xmt:Chooser.h xmt:Symbols.h 
Chooser.obj : xmt:Hash.h xmt:Converters.h xmt:WidgetType.h 
Chooser.obj : xmt:Layout.h xmt:LayoutG.h 
Cli.obj : xmt:XmtP.h 
Cli.obj : xmt:Xmt.h 
Cli.obj : xmt:Util.h 
Cli.obj : xmt:CliP.h 
Cli.obj : xmt:Cli.h 
Cli.obj : xmt:Converters.h 
Color.obj : xmt:Xmt.h 
Color.obj : xmt:Util.h xmt:ColorP.h xmt:Color.h xmt:Hash.h 
Color.obj : xmt:ConvertersP.h xmt:Converters.h xmt:Lexer.h 
Color.obj : xmt:AppResP.h xmt:AppRes.h 
Color.obj : xmt:DialogsP.h xmt:Dialogs.h 
ColorTableCvt.obj : xmt:Xmt.h 
ColorTableCvt.obj : xmt:Util.h 
ColorTableCvt.obj : xmt:Color.h xmt:ConvertersP.h 
ColorTableCvt.obj : xmt:Converters.h xmt:Lexer.h 
ContextHelp.obj : xmt:Xmt.h 
ContextHelp.obj : xmt:Util.h xmt:Help.h 
ContextHelp.obj : xmt:HelpBox.h xmt:AppResP.h xmt:AppRes.h 
ContextHelp.obj : xmt:Hash.h xmt:Color.h xmt:DialogsP.h 
ContextHelp.obj : xmt:Dialogs.h xmt:ScreenP.h 
ContextHelp.obj : xmt:XmtP.h 
Create.obj : xmt:Xmt.h 
Create.obj : xmt:Util.h xmt:Create.h xmt:WidgetType.h 
Create.obj : xmt:Include.h xmt:Template.h xmt:DialogP.h 
Create.obj : xmt:Dialog.h xmt:Dialogs.h 
Create.obj : xmt:Lexer.h xmt:ConvertersP.h 
Create.obj : xmt:Converters.h xmt:AppResP.h xmt:AppRes.h 
Create.obj : xmt:Hash.h xmt:Color.h xmt:DialogsP.h 
Cursor.obj : xmt:Xmt.h 
Cursor.obj : xmt:Util.h xmt:AppResP.h xmt:AppRes.h 
Cursor.obj : xmt:Hash.h xmt:Color.h xmt:DialogsP.h 
Cursor.obj : xmt:Dialogs.h 
Dialog.obj : xmt:Xmt.h 
Dialog.obj : xmt:Util.h xmt:DialogP.h xmt:Dialog.h 
Dialog.obj : xmt:Dialogs.h xmt:WidgetType.h 
Dialog.obj : xmt:Hash.h 
DialogPos.obj : xmt:Xmt.h 
DialogPos.obj : xmt:Util.h xmt:Dialogs.h 
Dialogs.obj : xmt:Xmt.h 
Dialogs.obj : xmt:Util.h xmt:ScreenP.h xmt:DialogsP.h 
Dialogs.obj : xmt:Dialogs.h 
Discard.obj : xmt:Xmt.h 
Discard.obj : xmt:Util.h 
EnumCvt.obj : xmt:Xmt.h 
EnumCvt.obj : xmt:Util.h xmt:ConvertersP.h xmt:Converters.h 
FindFile.obj : xmt:Xmt.h 
FindFile.obj : xmt:Util.h xmt:AppResP.h xmt:AppRes.h 
FindFile.obj : xmt:Hash.h xmt:Color.h xmt:DialogsP.h 
FindFile.obj : xmt:Dialogs.h 
GetPixmap.obj : xmt:Xmt.h 
GetPixmap.obj : xmt:Util.h xmt:Pixmap.h xmt:Xpm.h 
GetPixmap.obj : xmt:Color.h xmt:Xbm.h xmt:AppResP.h 
GetPixmap.obj : xmt:AppRes.h xmt:Hash.h xmt:DialogsP.h 
GetPixmap.obj : xmt:Dialogs.h xmt:ConvertersP.h xmt:Converters.h 
Hash.obj : xmt:Xmt.h 
Hash.obj : xmt:Util.h xmt:Hash.h 
HelpBox.obj : xmt:XmtP.h xmt:Xmt.h 
HelpBox.obj : xmt:Util.h 
HelpBox.obj : xmt:HelpBoxP.h 
HelpBox.obj : xmt:LayoutP.h 
HelpBox.obj : xmt:Layout.h xmt:LayoutG.h xmt:Lexer.h 
HelpBox.obj : xmt:HelpBox.h xmt:Help.h 
HelpBox.obj : xmt:AppResP.h xmt:AppRes.h xmt:Hash.h 
HelpBox.obj : xmt:Color.h xmt:DialogsP.h xmt:Dialogs.h 
HelpBox.obj : xmt:Pixmap.h xmt:Xpm.h 
HelpBrowser.obj : xmt:XmtP.h xmt:Xmt.h 
HelpBrowser.obj : xmt:Util.h 
HelpBrowser.obj : xmt:HelpBrowserP.h 
HelpBrowser.obj : xmt:HelpBrowser.h xmt:Help.h 
HelpBrowser.obj : xmt:LayoutP.h 
HelpBrowser.obj : xmt:Layout.h xmt:LayoutG.h xmt:Lexer.h 
HelpBrowser.obj : xmt:Converters.h xmt:Pixmap.h 
HelpBrowser.obj : xmt:Xpm.h xmt:Color.h 
HelpNode.obj : xmt:Xmt.h 
HelpNode.obj : xmt:Util.h 
HelpNode.obj : xmt:Help.h xmt:Hash.h xmt:AppResP.h 
HelpNode.obj : xmt:AppRes.h xmt:Color.h xmt:DialogsP.h 
HelpNode.obj : xmt:Dialogs.h 
Include.obj : xmt:Xmt.h 
Include.obj : xmt:Util.h 
Include.obj : xmt:Include.h xmt:Hash.h xmt:Lexer.h 
Include.obj : xmt:AppResP.h xmt:AppRes.h 
Include.obj : xmt:Color.h xmt:DialogsP.h xmt:Dialogs.h 
InitFocus.obj : xmt:Xmt.h 
InitFocus.obj : xmt:Util.h 
InputField.obj : xmt:XmtP.h 
InputField.obj : xmt:Xmt.h 
InputField.obj : xmt:Util.h 
InputField.obj : xmt:InputFieldP.h 
InputField.obj : xmt:InputField.h xmt:Symbols.h xmt:Hash.h 
InputField.obj : xmt:WidgetType.h xmt:Layout.h xmt:LayoutG.h 
InputField.obj : xmt:QuarksP.h 
Layout.obj : xmt:XmtP.h xmt:Xmt.h 
Layout.obj : xmt:Util.h 
Layout.obj : xmt:LayoutP.h 
Layout.obj : xmt:Layout.h xmt:LayoutG.h xmt:Lexer.h 
Layout.obj : xmt:LayoutGP.h xmt:ConvertersP.h 
Layout.obj : xmt:Converters.h 
LayoutBox.obj : xmt:XmtP.h xmt:Xmt.h 
LayoutBox.obj : xmt:Util.h 
LayoutBox.obj : xmt:LayoutGP.h xmt:LayoutG.h 
LayoutBox.obj : xmt:LayoutP.h 
LayoutBox.obj : xmt:Layout.h xmt:Lexer.h 
LayoutCreate.obj : xmt:XmtP.h xmt:Xmt.h 
LayoutCreate.obj : xmt:Util.h 
LayoutCreate.obj : xmt:LayoutP.h 
LayoutCreate.obj : xmt:Layout.h xmt:LayoutG.h xmt:Lexer.h 
LayoutCreate.obj : xmt:WidgetType.h 
LayoutGadget.obj : xmt:Xmt.h 
LayoutGadget.obj : xmt:Util.h 
LayoutGadget.obj : xmt:LayoutGP.h 
LayoutGadget.obj : xmt:LayoutG.h 
LayoutGadget.obj : xmt:LayoutP.h 
LayoutGadget.obj : xmt:Layout.h xmt:Lexer.h 
LayoutParse.obj : xmt:Xmt.h 
LayoutParse.obj : xmt:Util.h xmt:ConvertersP.h xmt:Converters.h 
LayoutParse.obj : xmt:Lexer.h xmt:LayoutP.h 
LayoutParse.obj : xmt:Layout.h 
LayoutParse.obj : xmt:LayoutG.h 
LayoutPixmap.obj : xmt:Xmt.h 
LayoutPixmap.obj : xmt:Util.h 
LayoutPixmap.obj : xmt:LayoutGP.h 
LayoutPixmap.obj : xmt:LayoutG.h 
LayoutPixmap.obj : xmt:LayoutP.h 
LayoutPixmap.obj : xmt:Layout.h xmt:Lexer.h 
LayoutSep.obj : xmt:Xmt.h 
LayoutSep.obj : xmt:Util.h xmt:LayoutGP.h 
LayoutSep.obj : xmt:LayoutG.h 
LayoutSep.obj : xmt:LayoutP.h 
LayoutSep.obj : xmt:Layout.h xmt:Lexer.h 
LayoutSpace.obj : xmt:Xmt.h 
LayoutSpace.obj : xmt:Util.h xmt:LayoutGP.h 
LayoutSpace.obj : xmt:LayoutG.h 
LayoutSpace.obj : xmt:LayoutP.h 
LayoutSpace.obj : xmt:Layout.h xmt:Lexer.h 
LayoutString.obj : xmt:Xmt.h 
LayoutString.obj : xmt:Util.h 
LayoutString.obj : xmt:LayoutGP.h 
LayoutString.obj : xmt:LayoutG.h 
LayoutString.obj : xmt:LayoutP.h 
LayoutString.obj : xmt:Layout.h xmt:Lexer.h 
LayoutString.obj : xmt:Converters.h 
Lexer.obj : xmt:Xmt.h 
Lexer.obj : xmt:Util.h 
Lexer.obj : xmt:Lexer.h 
Menu.obj : xmt:XmtP.h xmt:Xmt.h 
Menu.obj : xmt:Util.h 
Menu.obj : xmt:MenuP.h 
Menu.obj : xmt:Menu.h xmt:Symbols.h xmt:Hash.h 
Menu.obj : xmt:ConvertersP.h xmt:Converters.h xmt:Procedures.h 
Menu.obj : xmt:Lexer.h 
MenuCvt.obj : xmt:Xmt.h 
MenuCvt.obj : xmt:Util.h xmt:MenuP.h 
MenuCvt.obj : xmt:Menu.h xmt:Symbols.h xmt:Hash.h 
MenuCvt.obj : xmt:ConvertersP.h xmt:Converters.h xmt:Lexer.h 
MotifWidgets.obj : xmt:Xmt.h 
MotifWidgets.obj : xmt:Util.h 
MotifWidgets.obj : xmt:WidgetType.h 
MsgDialogs.obj : xmt:Xmt.h 
MsgDialogs.obj : xmt:Util.h xmt:DialogsP.h xmt:Dialogs.h 
MsgDialogs.obj : xmt:ScreenP.h 
MsgLine.obj : xmt:XmtP.h 
MsgLine.obj : xmt:Xmt.h 
MsgLine.obj : xmt:Util.h 
MsgLine.obj : xmt:MsgLineP.h 
MsgLine.obj : xmt:MsgLine.h 
NameToWidget.obj : xmt:Xmt.h 
NameToWidget.obj : xmt:Util.h 
PixelCvt.obj : xmt:Xmt.h 
PixelCvt.obj : xmt:Util.h xmt:ColorP.h xmt:Color.h 
PixelCvt.obj : xmt:Hash.h xmt:ConvertersP.h xmt:Converters.h 
Pixmap.obj : xmt:Xmt.h 
Pixmap.obj : xmt:Util.h xmt:Pixmap.h xmt:Xpm.h xmt:Color.h 
Pixmap.obj : xmt:Hash.h xmt:AppResP.h xmt:AppRes.h 
Pixmap.obj : xmt:DialogsP.h xmt:Dialogs.h 
PixmapCvt.obj : xmt:Xmt.h 
PixmapCvt.obj : xmt:Util.h xmt:Pixmap.h xmt:Xpm.h 
PixmapCvt.obj : xmt:Color.h xmt:ConvertersP.h xmt:Converters.h 
PixmapListCvt.obj : xmt:Xmt.h 
PixmapListCvt.obj : xmt:Util.h 
PixmapListCvt.obj : xmt:ConvertersP.h xmt:Converters.h 
PixmapListCvt.obj : xmt:Pixmap.h xmt:Xpm.h xmt:Color.h 
PixmapListCvt.obj : xmt:AppResP.h xmt:AppRes.h xmt:Hash.h 
PixmapListCvt.obj : xmt:DialogsP.h xmt:Dialogs.h 
Procedures.obj : xmt:Xmt.h 
Procedures.obj : xmt:Util.h xmt:ProceduresP.h xmt:Procedures.h 
Procedures.obj : xmt:Hash.h 
Quarks.obj : xmt:Xmt.h 
Quarks.obj : xmt:Util.h xmt:QuarksP.h 
Screen.obj : xmt:Xmt.h 
Screen.obj : xmt:Util.h xmt:ScreenP.h xmt:DialogsP.h 
Screen.obj : xmt:Dialogs.h xmt:AppResP.h 
Screen.obj : xmt:AppRes.h xmt:Hash.h xmt:Color.h 
SetValue.obj : xmt:Xmt.h 
SetValue.obj : xmt:Util.h xmt:SetValue.h 
StringListCvt.obj : xmt:Xmt.h 
StringListCvt.obj : xmt:Util.h 
StringListCvt.obj : xmt:ConvertersP.h xmt:Converters.h 
Symbols.obj : xmt:Xmt.h 
Symbols.obj : xmt:Util.h xmt:Symbols.h xmt:Hash.h 
Symbols.obj : xmt:QuarksP.h 
Template.obj : xmt:Xmt.h 
Template.obj : xmt:Util.h 
Template.obj : xmt:Template.h 
UnixProcs.obj : xmt:Xmt.h 
UnixProcs.obj : xmt:Util.h xmt:Procedures.h 
Wait.obj : xmt:Xmt.h 
Wait.obj : xmt:Util.h 
Warning.obj : xmt:Xmt.h 
Warning.obj : xmt:Util.h 
WidgetCvt.obj : xmt:Xmt.h 
WidgetCvt.obj : xmt:Util.h xmt:ConvertersP.h xmt:Converters.h 
WidgetType.obj : xmt:XmtP.h xmt:Xmt.h 
WidgetType.obj : xmt:Util.h 
WidgetType.obj : xmt:WidgetType.h 
WidgetType.obj : xmt:Hash.h 
Working.obj : xmt:Xmt.h 
Working.obj : xmt:Util.h xmt:WorkingBox.h xmt:DialogsP.h 
Working.obj : xmt:Dialogs.h xmt:ScreenP.h 
WorkingBox.obj : xmt:XmtP.h xmt:Xmt.h 
WorkingBox.obj : xmt:Util.h 
WorkingBox.obj : xmt:WorkingBoxP.h 
WorkingBox.obj : xmt:LayoutP.h 
WorkingBox.obj : xmt:Layout.h xmt:LayoutG.h xmt:Lexer.h 
WorkingBox.obj : xmt:WorkingBox.h xmt:Pixmap.h 
WorkingBox.obj : xmt:Xpm.h xmt:Color.h 
Xbm.obj : xmt:Xmt.h 
Xbm.obj : xmt:Util.h xmt:Xbm.h 
XmScale.obj : xmt:Xmt.h 
XmScale.obj : xmt:Util.h xmt:WidgetType.h xmt:QuarksP.h 
XmStringCvt.obj : xmt:Xmt.h 
XmStringCvt.obj : xmt:Util.h xmt:ConvertersP.h xmt:Converters.h 
XmText.obj : xmt:Xmt.h 
XmText.obj : xmt:Util.h xmt:WidgetType.h xmt:QuarksP.h 
XmTextField.obj : xmt:Xmt.h 
XmTextField.obj : xmt:Util.h xmt:WidgetType.h xmt:QuarksP.h 
XmToggleB.obj : xmt:Xmt.h 
XmToggleB.obj : xmt:Util.h xmt:WidgetType.h xmt:QuarksP.h 
XmtProcs.obj : xmt:Xmt.h 
XmtProcs.obj : xmt:Util.h 
XmtProcs.obj : xmt:Procedures.h xmt:Dialogs.h xmt:Dialog.h 
XmtProcs.obj : xmt:SetValue.h 
XmtWidgets.obj : xmt:Xmt.h 
XmtWidgets.obj : xmt:Util.h xmt:WidgetType.h xmt:Chooser.h 
XmtWidgets.obj : xmt:Cli.h xmt:HelpBox.h xmt:HelpBrowser.h 
XmtWidgets.obj : xmt:InputField.h xmt:Layout.h xmt:LayoutG.h 
XmtWidgets.obj : xmt:Menu.h xmt:Symbols.h xmt:Hash.h 
XmtWidgets.obj : xmt:MsgLine.h xmt:WorkingBox.h 
Xpm.obj : xmt:Xmt.h 
Xpm.obj : xmt:Util.h xmt:Xpm.h xmt:Color.h 
XpmParse.obj : xmt:Xmt.h 
XpmParse.obj : xmt:Util.h xmt:Xpm.h xmt:Color.h 
XtProcs.obj : xmt:Xmt.h 
XtProcs.obj : xmt:Util.h 
XtProcs.obj : xmt:Procedures.h 
ConvertData.obj : xmt:Xmt.h 
ConvertData.obj : xmt:Util.h xmt:Converters.h 
vms.obj : xmt:xmt.h xmt:util.h
dechack.obj : xmt:xmt.h xmt:util.h
checkformat.obj : xmt:xmt.h xmt:util.h
