#include <stdio.h>
#include <Xm/Xm.h>
#include <Xm/RowColumn.h>
#include <Xm/PushB.h>
#include "Stack.h"

static char *msgs[] = {
    "Yes",
    "No",
    "Cancel",
};

int main(argc, argv)
unsigned int argc;
char **argv;
{
    XtAppContext app;
    Widget toplevel, rowcol;
    Arg args[5];
    int i,n;
    Stack *strStack = InitStack();
    Stack *kidStack = InitStack();
    
    toplevel = XtVaAppInitialize (&app, "Demo", NULL, 0, &argc, argv,
				  NULL, NULL);
    rowcol = XmCreateRowColumn(toplevel, "rowcol", NULL, 0);
    XtManageChild(rowcol);
    
    for(i = 0; i < XtNumber(msgs); i++) {
	n=0;
	XtSetArg(args[n], XmNlabelString,
		 PushXmString(strStack, XmStringCreateSimple(msgs[i]))); n++;
	PushChild(kidStack, XmCreatePushButton(rowcol, "", args, n));
    }
    
    FreeXmStrings(strStack);
    ManageChildren(kidStack);
    FreeStack(strStack);
    FreeStack(kidStack);
    
    XtRealizeWidget(toplevel);
    XtAppMainLoop(app);
}

